{
  "log": {
    "filePath": "/etc/onlyoffice/documentserver/log4js/development.json"
  },
  "storage": {
    "fs": {
      "secretString": "[[ .oo.ds.link_secret ]]"
    }
  },
  "services": {
    "CoAuthoring": {
[[- if and (has .oo.ds "secret_key") (ne .oo.ds.secret_key "") ]]
      "secret": {
        "inbox": {
          "string": "[[ .oo.ds.secret_key ]]"
        },
        "outbox": {
          "string": "[[ .oo.ds.secret_key ]]"
        }
      },
      "token": {
        "enable": {
          "browser": true,
          "request": {
            "inbox": true,
            "outbox": true
          }
        }
      },
[[- end ]]
      "sql": {
        "type": "[[ .oo.ds.database.type ]]",
        "dbHost": "[[ .oo.ds.database.host ]]",
        "dbPort": [[ .oo.ds.database.port ]],
        "dbName": "[[ .oo.ds.database.name ]]",
        "dbUser": "[[ .oo.ds.database.user ]]",
        "dbPass": "[[ .oo.ds.database.password ]]"
      },
      "autoAssembly": {
        "enable": true,
        "interval": "5m"
      },
      "server": {
        "port": "/tmp/oods.sock"
      }
    }
  }
}
